Get a run status by UUID
curl --request GET \
--url https://api.edges.run/v1/runs/{run_uid}/status \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.edges.run/v1/runs/{run_uid}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/runs/{run_uid}/status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "CREATED",
"postponed_until": "2023-11-07T05:31:56Z",
"started_at": "<string>",
"finished_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}Runs
Get Run Status
Check the status of a run without fetching its full payload — the lightest way to poll.
GET
/
runs
/
{run_uid}
/
status
Get a run status by UUID
curl --request GET \
--url https://api.edges.run/v1/runs/{run_uid}/status \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.edges.run/v1/runs/{run_uid}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/runs/{run_uid}/status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "CREATED",
"postponed_until": "2023-11-07T05:31:56Z",
"started_at": "<string>",
"finished_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}uid is used for all the endpoints and Run manipulation.The id is an internal identifier returned to smooth and improve speed and accuracy if you have questions about your runs you will want
to submit to the team.Use this endpoint to poll for run status without fetching full run details. This is useful for lightweight status checks in your automation workflows.
Authorizations
Path Parameters
Run UUID
Response
Returns the run status
Returns the run status
Run ID
Run UUID
Run status
Available options:
CREATED, INVALID, QUEUED, SCHEDULED, BLOCKED, STOPPED, RUNNING, FAILED, PARTIAL_SUCCEEDED, SUCCEEDED If the run is postponed, this field indicates when it will be retried.
Started at
Finished at
Created at
Updated at

